Update store product inventory
curl --request POST \
--url https://api.vori.com/v1/store-product-inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_stock": "199.99",
"min_par": "199.99",
"store_product_selection_criteria": {
"barcodes": [
"<string>"
],
"exclude_ids": [
"<string>"
],
"ids": [
"<string>"
],
"store_id": "<string>"
}
}
'import requests
url = "https://api.vori.com/v1/store-product-inventory"
payload = {
"max_stock": "199.99",
"min_par": "199.99",
"store_product_selection_criteria": {
"barcodes": ["<string>"],
"exclude_ids": ["<string>"],
"ids": ["<string>"],
"store_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_stock: '199.99',
min_par: '199.99',
store_product_selection_criteria: {
barcodes: ['<string>'],
exclude_ids: ['<string>'],
ids: ['<string>'],
store_id: '<string>'
}
})
};
fetch('https://api.vori.com/v1/store-product-inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vori.com/v1/store-product-inventory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'max_stock' => '199.99',
'min_par' => '199.99',
'store_product_selection_criteria' => [
'barcodes' => [
'<string>'
],
'exclude_ids' => [
'<string>'
],
'ids' => [
'<string>'
],
'store_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vori.com/v1/store-product-inventory"
payload := strings.NewReader("{\n \"max_stock\": \"199.99\",\n \"min_par\": \"199.99\",\n \"store_product_selection_criteria\": {\n \"barcodes\": [\n \"<string>\"\n ],\n \"exclude_ids\": [\n \"<string>\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"store_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vori.com/v1/store-product-inventory")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"max_stock\": \"199.99\",\n \"min_par\": \"199.99\",\n \"store_product_selection_criteria\": {\n \"barcodes\": [\n \"<string>\"\n ],\n \"exclude_ids\": [\n \"<string>\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"store_id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vori.com/v1/store-product-inventory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"max_stock\": \"199.99\",\n \"min_par\": \"199.99\",\n \"store_product_selection_criteria\": {\n \"barcodes\": [\n \"<string>\"\n ],\n \"exclude_ids\": [\n \"<string>\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"store_id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"updated_count": 123
}{
"error_code": "invalid_store_products"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Inventory
Update store product inventory
Sets or adjusts the on-hand quantity for the selected products, their reorder levels, or both. Every product a request names must resolve, or nothing is written.
POST
/
v1
/
store-product-inventory
Update store product inventory
curl --request POST \
--url https://api.vori.com/v1/store-product-inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_stock": "199.99",
"min_par": "199.99",
"store_product_selection_criteria": {
"barcodes": [
"<string>"
],
"exclude_ids": [
"<string>"
],
"ids": [
"<string>"
],
"store_id": "<string>"
}
}
'import requests
url = "https://api.vori.com/v1/store-product-inventory"
payload = {
"max_stock": "199.99",
"min_par": "199.99",
"store_product_selection_criteria": {
"barcodes": ["<string>"],
"exclude_ids": ["<string>"],
"ids": ["<string>"],
"store_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_stock: '199.99',
min_par: '199.99',
store_product_selection_criteria: {
barcodes: ['<string>'],
exclude_ids: ['<string>'],
ids: ['<string>'],
store_id: '<string>'
}
})
};
fetch('https://api.vori.com/v1/store-product-inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vori.com/v1/store-product-inventory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'max_stock' => '199.99',
'min_par' => '199.99',
'store_product_selection_criteria' => [
'barcodes' => [
'<string>'
],
'exclude_ids' => [
'<string>'
],
'ids' => [
'<string>'
],
'store_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vori.com/v1/store-product-inventory"
payload := strings.NewReader("{\n \"max_stock\": \"199.99\",\n \"min_par\": \"199.99\",\n \"store_product_selection_criteria\": {\n \"barcodes\": [\n \"<string>\"\n ],\n \"exclude_ids\": [\n \"<string>\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"store_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vori.com/v1/store-product-inventory")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"max_stock\": \"199.99\",\n \"min_par\": \"199.99\",\n \"store_product_selection_criteria\": {\n \"barcodes\": [\n \"<string>\"\n ],\n \"exclude_ids\": [\n \"<string>\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"store_id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vori.com/v1/store-product-inventory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"max_stock\": \"199.99\",\n \"min_par\": \"199.99\",\n \"store_product_selection_criteria\": {\n \"barcodes\": [\n \"<string>\"\n ],\n \"exclude_ids\": [\n \"<string>\"\n ],\n \"ids\": [\n \"<string>\"\n ],\n \"store_id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"updated_count": 123
}{
"error_code": "invalid_store_products"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Authorizations
Body
application/json
The products to update, and the reorder levels or on-hand quantity to write to them.
Was this page helpful?